Package org.tartarus.snowball.ext

## Class GreekStemmer

- java.lang.Object
- - org.tartarus.snowball.SnowballProgram
  - - org.tartarus.snowball.SnowballStemmer
    - - org.tartarus.snowball.ext.GreekStemmer

- All Implemented Interfaces:
    `Serializable`

      public class GreekStemmer
      extends SnowballStemmer

  This class implements the stemming algorithm defined by a snowball script.

  Generated by Snowball 2.0.0 - https://snowballstem.org/

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.tartarus.snowball.SnowballProgram

      `bra, cursor, ket, limit, limit_backward`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GreekStemmer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `boolean` | `stem()` |

    - ### Methods inherited from class org.tartarus.snowball.SnowballProgram

      `assign_to, copy_from, eq_s, eq_s_b, find_among, find_among_b, getCurrent, getCurrentBuffer, getCurrentBufferLength, in_grouping, in_grouping_b, insert, out_grouping, out_grouping_b, replace_s, setCurrent, setCurrent, slice_check, slice_del, slice_from, slice_to`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GreekStemmer

          public GreekStemmer()

  - ### Method Detail

    - #### stem

          public boolean stem()

      Specified by:
        `stem` in class `SnowballStemmer`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`